package com.ruoyi.ss.vipLevel.service;

import java.util.List;
import com.ruoyi.ss.vipLevel.domain.VipLevel;
import com.ruoyi.ss.vipLevel.domain.VipLevelVO;
import com.ruoyi.ss.vipLevel.domain.VipLevelQuery;

/**
 * 会员等级Service接口
 *
 * @author ruoyi
 * @date 2024-12-09
 */
public interface VipLevelService
{
    /**
     * 查询会员等级
     *
     * @param id 会员等级主键
     * @return 会员等级
     */
    public VipLevelVO selectVipLevelById(Long id);

    /**
     * 查询会员等级列表
     *
     * @param vipLevel 会员等级
     * @return 会员等级集合
     */
    public List<VipLevelVO> selectVipLevelList(VipLevelQuery vipLevel);

    /**
     * 新增会员等级
     *
     * @param vipLevel 会员等级
     * @return 结果
     */
    public int insertVipLevel(VipLevel vipLevel);

    /**
     * 修改会员等级
     *
     * @param vipLevel 会员等级
     * @return 结果
     */
    public int updateVipLevel(VipLevel vipLevel);

    /**
     * 批量删除会员等级
     *
     * @param ids 需要删除的会员等级主键集合
     * @return 结果
     */
    public int deleteVipLevelByIds(List<Long> ids);

    /**
     * 删除会员等级信息
     *
     * @param id 会员等级主键
     * @return 结果
     */
    public int deleteVipLevelById(Long id);

    List<VipLevelVO> selectByIds(List<Long> ids);
}
